package com.junit.resource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;

import com.junit.bean.Product;
import com.junit.service.ProductService;

@Controller
public class ProductResource {
	
	private static final Logger logger = LoggerFactory.getLogger(ProductResource.class);
	
	@Autowired ProductService productService;
	
	/**
	 * Get total price of product
	 * @return totalPrice
	 */
	public double getPrice() {
		double totalPrice = 0;
		Product pen = new Product(101, "Pen", 15, 10);
		try {
			totalPrice = productService.getTotalPrice(pen);
			logger.info("Total Price "+totalPrice);
		} catch (Exception e) {
			logger.error("Exception "+e);
			e.printStackTrace();
		}
		return totalPrice;
	}

}
