package com.junit.resource;

import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.get;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.content;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.jsonPath;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.status;

import org.junit.Before;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.web.servlet.MockMvc;
import org.springframework.test.web.servlet.setup.MockMvcBuilders;
import org.springframework.web.context.WebApplicationContext;

import com.junit.JunitTestcasesApplicationTests;

public class BookControllerTest extends JunitTestcasesApplicationTests{
	
	@Autowired
	private WebApplicationContext webApplicationContext;
	
	private MockMvc mockMvc;
	
	@Before
	public void setup() {
		mockMvc = MockMvcBuilders.webAppContextSetup(webApplicationContext).build();
	}

	@Test
	public void testGetBookInfo() throws Exception {
		mockMvc.perform(get("/getbookinfo")).andExpect(status().isOk())
		//.andExpect(content().contentType("application/json;charset=UTF-8"))
		.andExpect(content().contentType("application/json"))
		.andExpect(jsonPath("$.id").value("101"))
		.andExpect(jsonPath("$.bookName").value("Ramayanam"))
		.andExpect(jsonPath("$.price").value(1500))
		.andExpect(jsonPath("$.author").value("Valmiki"));
		
	}

}
